<template lang="pug">
  div(class="social-links")
    div(class="social-links__left")
    div(class="social-links__right")
      a(href="https://www.facebook.com/devnet.kz" target="_blank")
        IconFacebookLogo()/
        span(class="inline-block align-middle") {{ $t('label.facebook') }}
      a(href="https://www.youtube.com/channel/UCJUCZZGqQddi23JYbl5OftA/featured" target="_blank")
        IconYoutubeLogo()/
        span(class="inline-block align-middle") {{ $t('label.youtube') }}
      a(href="https://t.me/devnetkz" target="_blank")
        IconTelegramLogo()/
        span(class="inline-block align-middle") {{ $t('label.telegram') }}
</template>

<script>
import IconYoutubeLogo from "~/assets/svg/ph-youtube-logo-fill.svg?inline";
import IconTelegramLogo from "~/assets/svg/ph-telegram-logo-fill.svg?inline";
import IconFacebookLogo from "~/assets/svg/ph-facebook-logo-fill.svg?inline";

export default {
  name:       "SocialLinks",
  components: {
    IconYoutubeLogo,
    IconTelegramLogo,
    IconFacebookLogo,
  }
}
</script>

<style lang="scss" scoped>
.social-links {
  @apply flex p-2 sm:p-0 text-xs sm:text-sm;

  &__left {
    @apply grow;
  }

  &__right {
    @apply flex-none;

    > a {
      @apply
      inline-block
      text-gray-400
      hover:text-gray-500
      dark:text-gray-500
      hover:dark:text-gray-400
      align-middle
      ;

      @apply mt-2 mr-2;

      &:last-child {
        @apply mr-0;
      }

      svg {
        @apply
        sm:w-5
        sm:h-5
        w-3
        h-3
        mr-1
        inline-block
        fill-current
        ;
      }
    }
  }
}
</style>